Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(45)

Issue 1418483004: Deactivate the audio session after a call ends using the AVAudioSessionSetActiveOptionNotifyOthersO… (Closed)

Created:
3 years, 10 months ago by henrika_webrtc
Modified:
3 years, 10 months ago
Reviewers:
tkchin_webrtc
CC:
webrtc-reviews_webrtc.org, tterriberry_mozilla.com, peah-webrtc
Base URL:
https://chromium.googlesource.com/external/webrtc.git@master
Target Ref:
refs/pending/heads/master
Project:
webrtc
Visibility:
Public.

Description

Deactivate the audio session after a call ends using the AVAudioSessionSetActiveOptionNotifyOthersOnDeactivation constant since it is recommended for VoIP apps. BUG=b/23356406 R=tkchin@webrtc.org Committed: https://crrev.com/5a71f03f8bb0bd1691729717ab7ef22b1c3f94a0 Cr-Commit-Position: refs/heads/master@{#10673}

Patch Set 1 #

Total comments: 2
Unified diffs Side-by-side diffs Delta from patch set Stats (+10 lines, -2 lines) Patch
M webrtc/modules/audio_device/ios/audio_device_ios.mm View 1 chunk +10 lines, -2 lines 2 comments Download

Messages

Total messages: 7 (2 generated)
henrika_webrtc
Zeke, PTAL
3 years, 10 months ago (2015-10-28 16:29:35 UTC) #3
tkchin_webrtc
lgtm https://codereview.webrtc.org/1418483004/diff/1/webrtc/modules/audio_device/ios/audio_device_ios.mm File webrtc/modules/audio_device/ios/audio_device_ios.mm (right): https://codereview.webrtc.org/1418483004/diff/1/webrtc/modules/audio_device/ios/audio_device_ios.mm#newcode95 webrtc/modules/audio_device/ios/audio_device_ios.mm:95: success = [session nit: maybe just break it ...
3 years, 10 months ago (2015-11-16 21:40:34 UTC) #4
henrika_webrtc
https://codereview.webrtc.org/1418483004/diff/1/webrtc/modules/audio_device/ios/audio_device_ios.mm File webrtc/modules/audio_device/ios/audio_device_ios.mm (right): https://codereview.webrtc.org/1418483004/diff/1/webrtc/modules/audio_device/ios/audio_device_ios.mm#newcode95 webrtc/modules/audio_device/ios/audio_device_ios.mm:95: success = [session withOptions:AVAudioSessionSetActiveOptionNotifyOthersOnDeactivation does not fit within the ...
3 years, 10 months ago (2015-11-17 13:52:32 UTC) #5
henrika_webrtc
Committed patchset #1 (id:1) manually as 5a71f03f8bb0bd1691729717ab7ef22b1c3f94a0 (presubmit successful).
3 years, 10 months ago (2015-11-17 13:55:03 UTC) #6
commit-bot: I haz the power
3 years, 10 months ago (2015-11-17 13:55:08 UTC) #7
Message was sent while issue was closed.
Patchset 1 (id:??) landed as
https://crrev.com/5a71f03f8bb0bd1691729717ab7ef22b1c3f94a0
Cr-Commit-Position: refs/heads/master@{#10673}

Powered by Google App Engine
This is Rietveld 408576698